wibble::tests::TestIsLt< A, E > Struct Template Reference

`#include <tests.h>`

Collaboration diagram for wibble::tests::TestIsLt< A, E >:
[legend]

## Public Member Functions

| TestIsLt (const A &actual, const E &expected, bool inverted=false)
TestIsLt< A, E > | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

A | actual
E | expected
bool | inverted

## Constructor & Destructor Documentation

## TestIsLt()

template<typename A, typename E>

wibble::tests::TestIsLt< A, E >::TestIsLt | ( | const A & | actual,
|  | const E & | expected,
|  | bool | inverted = `false`
| ) |  |

inline

## Member Function Documentation

## check()

template<typename A, typename E>

void wibble::tests::TestIsLt< A, E >::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

inline

References wibble::tests::Location::fail_test().

## operator!()

template<typename A, typename E>

TestIsLt<A, E> wibble::tests::TestIsLt< A, E >::operator! | ( |  | ) |

inline

References wibble::tests::actual().

## Member Data Documentation

## actual

template<typename A, typename E>

A wibble::tests::TestIsLt< A, E >::actual

## expected

template<typename A, typename E>

E wibble::tests::TestIsLt< A, E >::expected

## inverted

template<typename A, typename E>

bool wibble::tests::TestIsLt< A, E >::inverted

The documentation for this struct was generated from the following file:

- tests.h